Draft: Matrice repetabilitate

From FreeCAD Documentation
Revision as of 13:42, 1 December 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
This command is deprecated in 0.19. For the new usage, see Draft OrthoArray, which works essentially the same way. Also see Draft PolarArray and Draft CircularArray.

Draft: Matrice repetabilitate

poziția meniului
Draft → Array
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
PolarArray, CircularArray, PathArray, PointArray, Clone

Descriere

Instrumentul Array creează o matrice ortogonală (3-axe) sau polară dintr-un obiect selectat. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.

The Draft Array tool creates an orthogonal (3-axes), polar, or circular array from a selected object.

This tool can be used on 2D shapes created with the Draft Workbench but can also be used on many types of 3D objects such as those created with the Part Workbench or PartDesign Workbench.

To create polar and circular arrays directly, use the corresponding PolarArray and CircularArray tools; to position copies along a path use PathArray; to position copies at specified points use PointArray; to create copies or clones, and manually place them use Move, Rotate, and Clone.

To create App Links instead of simple copies, use LinkArray, Path LinkArray, and the proper option with PolarArray and CircularArray .

Circular array from a solid object

Cum se utilizează

  1. Selectați un obiect cu care doriți să faceți o matrice
  2. Apăsați tasta 16px Array de Proiect
  3. Selectați Date Array Type: Specifică tipul matricei, orto sau polar
  4. Pentru matrice ortogonale:
    1. Date Interval X: Intervalul dintre fiecare copie pe prima axă
    2. Date Interval Y: Intervalul dintre fiecare copie pe a doua axă
    3. Date Interval Z: Intervalul dintre fiecare copie pe a treia axă
    4. Date Număr X: Numărul de copii pe prima axă
    5. Date Număr Y: numărul de copii pe a doua axă
    6. Date Număr Z: Numărul de copii pe a treia axă
  5. Pentru tablouri polare:
    1. Date Axis: Direcția normală a cercului matricei
  6. Date Center: Punctul central al matricei
  7. Date Angle: Unghiul de acoperire cu copii
  8. Date Număr Polar: Numărul de copii

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Options

There are no options for this tool. Either it works with the selected object or not.

Properties

  • DateBase: specifies the object to duplicate in the array.
  • DateArray Type (Enumeration): specifies the type of array to create, "ortho", "polar", or "circular".
  • DateFuse: if it is true, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:

  • DateInterval X: specifies the interval between each copy on the X axis.
  • DateInterval Y: specifies the interval between each copy on the Y axis.
  • DateInterval Z: specifies the interval between each copy on the Z axis.
  • DateNumber X: specifies the number of copies on the X axis.
  • DateNumber Y: specifies the number of copies on the Y axis.
  • DateNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • DateAxis: specifies the normal direction of the array circle.
  • DateCenter: specifies the center point of the array circle.
  • DateAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • DateNumber Polar: specifies the number of copies to place in the circular arrangement.
  • DateInterval Axis: specifies the interval between each copy on the DateAxis direction.

For circular arrays:

  • DateNumber Circles:
  • DateRadial distance:
  • DateSymmetry:
  • DateTangential Distance:

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if DateInterval X is (2 m, 1 m, 1 m), and DateNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The DateInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with DateInterval Axis (0, 0, z) allows you to make spiral arrangements.

Script-Programre

Instrumentul Array poate fi utilizat în macros și din consola Python utilizând una dintre următoarele funcții, în funcție de situația în care doriți să obțineți copii simple, independente ale obiectului de bază sau un obiect parametric, care rămâne legat de obiectul original.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Matrici Simple

În coordonate ortogonale:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

În cooordonate polare:

array_list = array(objectslist, center, totalangle, totalnum)
  • Creează un șir de obiecte conținute în listă (care poate fi un obiect sau o listă de obiecte) cu, în cazul matricei dreptunghiulare, xnum de iterații în direcția x la distanța xvector între iterații și aceeași pentru direcția y cu yvector și ynum, și aceeași pentru direcția z cu zvector și znum dacă această versiune este utilizată. În cazul unei tablouri polare, centrul este un vector, totalangle este unghiul de acoperire (în grade) și totalnum este numărul de obiecte, inclusiv originalul.
  • Această funcție produce copii autonome ale obiectelor de bază,

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Matrici Parametrice

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Pentru matrici dreptunghiulare:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Pentru matrici polare:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Creează o matrice a obiectului dat cu, în cazul matricei rectangulare, xnum de iterații în direcția x la distanța xvector între iterații și aceeași pentru direcția y cu yvector și ynum și pentru zvector și znum dacă se utilizează versiunea respectivă. În cazul unei tablouri polare, centrul este un vector, totalangle este unghiul de acoperire (în grade) și totalnum este numărul de obiecte, inclusiv originalul.
  • Rezultatul acestei funcții este un obiect parametric Draft Array.

Exempluː

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)